Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## writer2latex.latex
Class ConverterPalette

    java.lang.Object
      writer2latex.util.ConverterBase
          writer2latex.latex.ConverterPalette

All Implemented Interfaces:
  Converter

    public final class ConverterPalette

extends ConverterBase

This class converts a Writer XML file to a LaTeX file<.

Field Summary
`private BlockConverter` | `blockCv`
`private CaptionConverter` | `captionCv`
`private CharStyleConverter` | `charSc`
`private ColorConverter` | `colorCv`
`private DrawConverter` | `drawCv`
`private FieldConverter` | `fieldCv`
`private CSVList` | `globalOptions`
`private HeadingConverter` | `headingCv`
`private I18n` | `i18n`
`private IndexConverter` | `indexCv`
`private Info` | `info`
`private InlineConverter` | `inlineCv`
`private ListStyleConverter` | `listSc`
`private Context` | `mainContext`
`private MathmlConverter` | `mathmlCv`
`private NoteConverter` | `noteCv`
`private PageStyleConverter` | `pageSc`
`private ParConverter` | `parCv`
`private SectionConverter` | `sectionCv`
`private TableConverter` | `tableCv`
`private LaTeXDocument` | `texDoc`

Fields inherited from class writer2latex.util.ConverterBase
`config, convertData, graphicConverter, imageLoader, metaData, odDoc, ofr, sTargetFileName`

Constructor Summary
`ConverterPalette()`

Method Summary
`void` | `addGlobalOption(java.lang.String sOption)`
`void` | `convertInner()`
`private void` | `createMeta(java.lang.String sName, java.lang.String sValue, LaTeXDocumentPortion ldp)`
`BlockConverter` | `getBlockCv()`
`CaptionConverter` | `getCaptionCv()`
`CharStyleConverter` | `getCharSc()`
`ColorConverter` | `getColorCv()`
`DrawConverter` | `getDrawCv()`
`FieldConverter` | `getFieldCv()`
`HeadingConverter` | `getHeadingCv()`
`I18n` | `getI18n()`
`IndexConverter` | `getIndexCv()`
`Info` | `getInfo()`
`InlineConverter` | `getInlineCv()`
`ListStyleConverter` | `getListSc()`
`Context` | `getMainContext()`
`MathmlConverter` | `getMathmlCv()`
`NoteConverter` | `getNoteCv()`
`java.lang.String` | `getOutFileName()`
`PageStyleConverter` | `getPageSc()`
`ParConverter` | `getParCv()`
`SectionConverter` | `getSectionCv()`
`TableConverter` | `getTableCv()`

Methods inherited from class writer2latex.util.ConverterBase
`addDocument, convert, getEmbeddedObject, getImageLoader, getMetaData, readTemplate, setConfig, setGraphicConverter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### texDoc

    private LaTeXDocument texDoc

### mainContext

    private Context mainContext

### globalOptions

    private CSVList globalOptions

### i18n

    private I18n i18n

### colorCv

    private ColorConverter colorCv

### charSc

    private CharStyleConverter charSc

### listSc

    private ListStyleConverter listSc

### pageSc

    private PageStyleConverter pageSc

### blockCv

    private BlockConverter blockCv

### parCv

    private ParConverter parCv

### headingCv

    private HeadingConverter headingCv

### indexCv

    private IndexConverter indexCv

### sectionCv

    private SectionConverter sectionCv

### tableCv

    private TableConverter tableCv

### noteCv

    private NoteConverter noteCv

### captionCv

    private CaptionConverter captionCv

### inlineCv

    private InlineConverter inlineCv

### fieldCv

    private FieldConverter fieldCv

### drawCv

    private DrawConverter drawCv

### mathmlCv

    private MathmlConverter mathmlCv

### info

    private Info info

Constructor Detail

### ConverterPalette

    public ConverterPalette()

Method Detail

### getOutFileName

    public java.lang.String getOutFileName()

### getMainContext

    public Context getMainContext()

### addGlobalOption

    public void addGlobalOption(java.lang.String sOption)

### getI18n

    public I18n getI18n()

### getColorCv

    public ColorConverter getColorCv()

### getCharSc

    public CharStyleConverter getCharSc()

### getListSc

    public ListStyleConverter getListSc()

### getPageSc

    public PageStyleConverter getPageSc()

### getBlockCv

    public BlockConverter getBlockCv()

### getParCv

    public ParConverter getParCv()

### getHeadingCv

    public HeadingConverter getHeadingCv()

### getIndexCv

    public IndexConverter getIndexCv()

### getSectionCv

    public SectionConverter getSectionCv()

### getTableCv

    public TableConverter getTableCv()

### getNoteCv

    public NoteConverter getNoteCv()

### getCaptionCv

    public CaptionConverter getCaptionCv()

### getInlineCv

    public InlineConverter getInlineCv()

### getFieldCv

    public FieldConverter getFieldCv()

### getDrawCv

    public DrawConverter getDrawCv()

### getMathmlCv

    public MathmlConverter getMathmlCv()

### getInfo

    public Info getInfo()

### convertInner

    public void convertInner()
                      throws java.io.IOException

  Specified by:
    `convertInner` in class `ConverterBase`
  Throws:
    `java.io.IOException`

### createMeta

    private void createMeta(java.lang.String sName,
                            java.lang.String sValue,
                            LaTeXDocumentPortion ldp)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD